- Bet records are kept for at most 3 months.
- This service is rate limited to 80 calls per day (80/d).
- Sums bets whose time, as selected by searchMode, is greater than or equal to the start time and less than the end time.
- Data is aggregated by hour and uses an hour-precision RFC3339 format (for example 2022-01-01T00+08:00). Times must be precise to the hour and include the time zone.
- The maximum query range is 31 days.
Path
Headers
| Field | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Token we provide |
Request parameters
| Field | Type | Required | Signed | Description |
|---|---|---|---|---|
channelId | number | Yes | ✓ | Channel ID (use 1 if you have no channels; 0 queries all) |
searchMode | number | Yes | ✓ | Time used for the search (0: bet time) |
startTime | string | Yes | ✓ | Search start time (hour-precision format) |
endTime | string | Yes | ✓ | Search end time (hour-precision format) |
sign | string | Yes | Signature. See Signature for how to generate it |
Response
Success (the HTTP status code is always 200; checkstatus.code for the result)
| Field | Type | Description |
|---|---|---|
data | object | |
data.currencyList | object[] | Report data |
data.currencyList[].currency | string | Currency (contact our business team) |
data.currencyList[].totalBet | number | Total bet |
data.currencyList[].totalPayout | number | Total payout |
data.currencyList[].totalWinLose | number | Total win/loss |
data.currencyList[].count | number | Record count |
status | object | Response status. See Response format |
